Loading...
Searching...
No Matches
Magick::ErrorConfigure Class Reference
Inheritance diagram for Magick::ErrorConfigure:

## Public Member Functions

| ErrorConfigure (const std::string &what_)
| ErrorConfigure (const std::string &what_, Exception *nested_)
Public Member Functions inherited from Magick::Error
| Error (const std::string &what_)
| Error (const std::string &what_, Exception *nested_)
Public Member Functions inherited from Magick::Exception
| Exception (const std::string &what_)
| Exception (const std::string &what_, Exception *nested_)
| Exception (const Exception &original_)
Exception & | operator= (const Exception &original_)
virtual const char * | what () const throw ()
const Exception * | nested () const throw ()
void | nested (Exception *nested_) throw ()

## Detailed Description

Definition at line 98 of file Exception.h.

## Constructor & Destructor Documentation

## ErrorConfigure() [1/2]

Magick::ErrorConfigure::ErrorConfigure | ( | const std::string & | what_ | ) |

explicit

Definition at line 129 of file Exception.cpp.

: Error(what_)
{
}

## ErrorConfigure() [2/2]

Magick::ErrorConfigure::ErrorConfigure | ( | const std::string & | what_,
|  | Exception * | nested_ )

explicit

Definition at line 134 of file Exception.cpp.

: Error(what_,nested_)
{
}

## ~ErrorConfigure()

Magick::ErrorConfigure::~ErrorConfigure | ( |  | ) |
throw | ( | ) |  |  |

Definition at line 140 of file Exception.cpp.

{
}

The documentation for this class was generated from the following files:

- Exception.h
- Exception.cpp